<?php

function building_constructor_remove_customize_register() {
    global $wp_customize;
    $wp_customize->remove_section( 'construction_hub_color_option' );
    $wp_customize->remove_section( 'construction_hub_pro_documentation' );
    $wp_customize->remove_section( 'construction_hub_about_section' );
}
add_action( 'customize_register', 'building_constructor_remove_customize_register', 11 );

function building_constructor_customize_register( $wp_customize ) {

    //Social Media
    $wp_customize->add_section( 'building_constructor_social_media', array(
        'title'      => __( 'Social Media Links', 'building-constructor' ),
        'priority' => 50,
        'description' => __( 'Add your Social Links', 'building-constructor' ),
        'panel' => 'construction_hub_panel_id'
    ) );

    $wp_customize->add_setting('building_constructor_facebook_url',array(
        'default'=> '',
        'sanitize_callback' => 'esc_url_raw'
    )); 
    $wp_customize->add_control('building_constructor_facebook_url',array(
        'label' => __('Facebook Link','building-constructor'),
        'section'=> 'building_constructor_social_media',
        'type'=> 'url'
    ));

    $wp_customize->add_setting('building_constructor_twitter_url',array(
        'default'=> '',
        'sanitize_callback' => 'esc_url_raw'
    )); 
    $wp_customize->add_control('building_constructor_twitter_url',array(
        'label' => __('Twitter Link','building-constructor'),
        'section'=> 'building_constructor_social_media',
        'type'=> 'url'
    ));

    $wp_customize->add_setting('building_constructor_instagram_url',array(
        'default'=> '',
        'sanitize_callback' => 'esc_url_raw'
    )); 
    $wp_customize->add_control('building_constructor_instagram_url',array(
        'label' => __('Instagram Link','building-constructor'),
        'section'=> 'building_constructor_social_media',
        'type'=> 'url'
    ));

    $wp_customize->add_setting('building_constructor_youtube_url',array(
        'default'=> '',
        'sanitize_callback' => 'esc_url_raw'
    )); 
    $wp_customize->add_control('building_constructor_youtube_url',array(
        'label' => __('YouTube Link','building-constructor'),
        'section'=> 'building_constructor_social_media',
        'type'=> 'url'
    ));

    $wp_customize->add_setting('building_constructor_pint_url',array(
        'default'=> '',
        'sanitize_callback' => 'esc_url_raw'
    )); 
    $wp_customize->add_control('building_constructor_pint_url',array(
        'label' => __('Pinterest Link','building-constructor'),
        'section'=> 'building_constructor_social_media',
        'type'=> 'url'
    ));

    //About Section
    $wp_customize->add_section('building_constructor_about_section',array(
        'title' => __('About Section','building-constructor'),
        'panel' => 'construction_hub_panel_id',
    ));

    $wp_customize->add_setting( 'building_constructor_about_page', array(
        'default'           => '',
        'sanitize_callback' => 'construction_hub_sanitize_dropdown_pages'
    ) );

    $wp_customize->add_control( 'building_constructor_about_page', array(
        'label'    => __( 'Select About Page', 'building-constructor' ),
        'section'  => 'building_constructor_about_section',
        'type'     => 'dropdown-pages'
    ) );

    $wp_customize->add_setting('building_constructor_about_tittle',array(
        'default' => '',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('building_constructor_about_tittle',array(
        'label' => __('Quote Line','building-constructor'),
        'section'   => 'building_constructor_about_section',
        'type'      => 'text'
    ));
}
add_action( 'customize_register', 'building_constructor_customize_register' );